package com.fs.qw.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.QwWorkLink;
import com.fs.qw.domain.QwWorkShortLink;

/**
 * 企微获客链接短链Service接口
 * 
 * @author fs
 * @date 2025-03-27
 */
public interface IQwWorkShortLinkService extends IService<QwWorkShortLink>{
    /**
     * 查询企微获客链接短链
     * 
     * @param id 企微获客链接短链主键
     * @return 企微获客链接短链
     */
    QwWorkShortLink selectQwWorkShortLinkById(Long id);

    /**
     * 查询企微获客链接短链列表
     * 
     * @param qwWorkShortLink 企微获客链接短链
     * @return 企微获客链接短链集合
     */
    List<QwWorkShortLink> selectQwWorkShortLinkList(QwWorkShortLink qwWorkShortLink);

    /**
     * 新增企微获客链接短链
     * 
     * @param qwWorkShortLink 企微获客链接短链
     * @return 结果
     */
    int insertQwWorkShortLink(QwWorkShortLink qwWorkShortLink);

    /**
     * 修改企微获客链接短链
     * 
     * @param qwWorkShortLink 企微获客链接短链
     * @return 结果
     */
    int updateQwWorkShortLink(QwWorkShortLink qwWorkShortLink);

    /**
     * 批量删除企微获客链接短链
     * 
     * @param ids 需要删除的企微获客链接短链主键集合
     * @return 结果
     */
    int deleteQwWorkShortLinkByIds(Long[] ids);

    /**
     * 删除企微获客链接短链信息
     * 
     * @param id 企微获客链接短链主键
     * @return 结果
     */
    int deleteQwWorkShortLinkById(Long id);

    void addLink(QwWorkLink qwWorkLink);

    String getUrl(String no);

    String addWxLink(QwWorkLink qwWorkLink, String workShortNo);
}
